=== debian/control ===
Source: ros-indigo-hrpsys-gazebo-general
Section: misc
Priority: extra
Maintainer: Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-collada-urdf-jsk-patch, ros-indigo-gazebo-ros, ros-indigo-hrpsys-gazebo-msgs, ros-indigo-hrpsys-ros-bridge
Homepage: http://ros.org/wiki/hrpsys_gazebo_general
Standards-Version: 3.9.2

Package: ros-indigo-hrpsys-gazebo-general
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-collada-urdf-jsk-patch, ros-indigo-gazebo-ros, ros-indigo-hrpsys-gazebo-msgs, ros-indigo-hrpsys-ros-bridge, ros-indigo-turtlebot-description, ros-indigo-xacro
Description: hrpsys_gazebo_general
